cURL
curl -X PATCH https://api.aiql.io/presentations/prs_2d9f \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Q3 board update (final)"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
presentation = client.presentations.update("prs_2d9f", title="Q3 board update (final)")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const presentation = await client.presentations.update("prs_2d9f", { title: "Q3 board update (final)" });{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Presentations
Update Presentation
PATCH
/
presentations
/
{id}
cURL
curl -X PATCH https://api.aiql.io/presentations/prs_2d9f \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"title": "Q3 board update (final)"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
presentation = client.presentations.update("prs_2d9f", title="Q3 board update (final)")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const presentation = await client.presentations.update("prs_2d9f", { title: "Q3 board update (final)" });{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Body
application/json
Response
Successful Response
Unique identifier of the presentation.
Title of the presentation.
Description of the presentation.
Timestamp when the presentation was created.
Timestamp when the presentation was last updated.